APIMatches
Get a match
One match from your team’s perspective. If both teams in a match are in your club, the side that uploaded the footage is treated as team.
GET
/v1/matches/{matchId}curl -X GET "https://api.superstatsport.com/v1/matches/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: Bearer $SUPERSTAT_API_KEY"Authorization
AuthorizationstringheaderrequiredClub API key, for example
ss_live_…. Create one in the Superstat app under Settings → API keys.
Parameters
matchIdstring<uuid>pathrequiredMatch id.
Response
application/json
Success
dataMatchrequirederrorobject | nullrequired
{
"data": {
"id": "d4e5f6a7-b8c9-4d0e-af12-3b4c5d6e7f80",
"playedAt": "2026-03-14T04:00:00.000Z",
"status": "complete",
"team": {
"id": "8c1d5e2f-3a4b-4c6d-9e0f-1a2b3c4d5e6f",
"name": "Northside U16 Boys",
"score": 68
},
"opponent": {
"id": "8c1d5e2f-3a4b-4c6d-9e0f-1a2b3c4d5e6f",
"name": "Northside U16 Boys",
"score": 68
},
"recordedBy": "team",
"opponentStatsTracked": true,
"thumbnailUrl": "https://cdn.superstatsport.com/matches/thumb.jpg",
"failureReason": null,
"periods": [
{
"id": "c9d0e1f2-a3b4-4c5d-9e67-8091021324a5",
"number": 1,
"type": "quarter",
"startedAt": "2026-03-14T04:00:12.000Z",
"endedAt": "2026-03-14T04:11:48.000Z"
}
],
"createdAt": "2026-03-14T06:30:00.000Z"
},
"error": null
}